commit 5499c332a60a6928274796af0667d40719bf0715
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Wed Feb 5 14:06:42 2025

    cselib: Fix up previous patch for SPARC [PR117239]
    
    Sorry, our CI bot just notified me I broke SPARC build.  There are two
     #ifdef STACK_ADDRESS_OFFSET
    guarded snippets and the macro is only defined on SPARC target, so I didn't
    notice there was a syntax error.
    
    Fixed thusly.
    
    2025-02-05  Jakub Jelinek  <jakub@redhat.com>
    
            PR rtl-optimization/117239
            * cselib.cc (cselib_init): Remove spurious closing paren in
            the #ifdef STACK_ADDRESS_OFFSET specific code.
    
    (cherry picked from commit 6094801d6fd7849d2d95ce78f7c6ef01686b9f63)

diff --git a/gcc/cselib.cc b/gcc/cselib.cc
index 2382e994ebc..f0a8f2c7f8f 100644
--- a/gcc/cselib.cc
+++ b/gcc/cselib.cc
@@ -3364,7 +3364,7 @@ cselib_init (int record_what)
 #ifdef STACK_ADDRESS_OFFSET
 	  /* On SPARC take stack pointer bias into account as well.  */
 	  off += (STACK_ADDRESS_OFFSET
-		  - FIRST_PARM_OFFSET (current_function_decl)));
+		  - FIRST_PARM_OFFSET (current_function_decl));
 #endif
 	  callmem[1] = plus_constant (Pmode, stack_pointer_rtx, off);
 	}

